mime-mail-ses-0.4.3: Send mime-mail messages via Amazon SES

Safe Haskell | Safe-Inferred
Language | Haskell2010

Network.Mail.Mime.SES

Synopsis

- sendMailSES :: MonadIO m => Manager -> SES -> ByteString -> m ()
- sendMailSESWithResponse :: MonadIO m => Manager -> SES -> ByteString -> (Status -> Sink Event IO a) -> m a
- sendMailSESGlobal :: MonadIO m => SES -> ByteString -> m ()
- renderSendMailSES :: MonadIO m => Manager -> SES -> Mail -> m ()
- renderSendMailSESGlobal :: MonadIO m => SES -> Mail -> m ()
- data SES = SES {
  - sesFrom :: !ByteString
  - sesTo :: ![ByteString]
  - sesAccessKey :: !ByteString
  - sesSecretKey :: !ByteString
  - sesSessionToken :: !(Maybe ByteString)
  - sesRegion :: !Text
  }
- usEast1 :: Text
- usWest2 :: Text
- euWest1 :: Text
- data SESException = SESException {
  - seStatus :: !Status
  - seCode :: !Text
  - seMessage :: !Text
  - seRequestId :: !Text
  }

# Documentation

sendMailSES Source #

Arguments

:: MonadIO m |
=> Manager |
-> SES |
-> ByteString | Raw message data. You must ensure that the message format complies with Internet email standards regarding email header fields, MIME types, and MIME encoding.
-> m () |

sendMailSESWithResponse Source #

Arguments

:: MonadIO m |
=> Manager |
-> SES |
-> ByteString |
-> (Status -> Sink Event IO a) | What to do with the HTTP `Status` returned in the `Response`.
-> m a |

Generalised version of `sendMailSES` which allows customising the final return type.

Since: 0.4.3

sendMailSESGlobal Source #

Arguments

:: MonadIO m |
=> SES |
-> ByteString | Raw message data. You must ensure that the message format complies with Internet email standards regarding email header fields, MIME types, and MIME encoding.
-> m () |

Same as `sendMailSES` but uses the global `Manager`.

Since: 0.4.1

renderSendMailSES :: MonadIO m => Manager -> SES -> Mail -> m () Source #

renderSendMailSESGlobal :: MonadIO m => SES -> Mail -> m () Source #

Same as `renderSendMailSES` but uses the global `Manager`.

Since: 0.4.1

data SES Source #

Constructors

SES |

Fields

- sesFrom :: !ByteString
- sesTo :: ![ByteString]
- sesAccessKey :: !ByteString
- sesSecretKey :: !ByteString
- sesSessionToken :: !(Maybe ByteString)
- sesRegion :: !Text

#### Instances

Instances details

Show SES Source # |
Instance details Defined in Network.Mail.Mime.SES Methods showsPrec :: Int -> SES -> ShowS Source # show :: SES -> String Source # showList :: [SES] -> ShowS Source #

usEast1 :: Text Source #

usWest2 :: Text Source #

euWest1 :: Text Source #

data SESException Source #

Exposed since: 0.3.2

Constructors

SESException |

Fields

- seStatus :: !Status
- seCode :: !Text
- seMessage :: !Text
- seRequestId :: !Text

#### Instances

Instances details

Exception SESException Source # |
Instance details Defined in Network.Mail.Mime.SES Methods toException :: SESException -> SomeException Source # fromException :: SomeException -> Maybe SESException Source # displayException :: SESException -> String Source #
Show SESException Source # |
Instance details Defined in Network.Mail.Mime.SES Methods showsPrec :: Int -> SESException -> ShowS Source # show :: SESException -> String Source # showList :: [SESException] -> ShowS Source #